package com.ruoyi.web.modules.architecture.service;

import java.util.List;
import com.ruoyi.web.modules.architecture.domain.BizDrugIncompatibilityStandard;

/**
 * 药物禁配标准 服务
 */
public interface IBizDrugIncompatibilityStandardService
{
    BizDrugIncompatibilityStandard selectBizDrugIncompatibilityStandardById(Long id);

    List<BizDrugIncompatibilityStandard> selectBizDrugIncompatibilityStandardList(BizDrugIncompatibilityStandard query);

    int insertBizDrugIncompatibilityStandard(BizDrugIncompatibilityStandard row);

    int updateBizDrugIncompatibilityStandard(BizDrugIncompatibilityStandard row);

    int deleteBizDrugIncompatibilityStandardByIds(Long[] ids);

    int syncKb(Long id);

    int removeKb(Long id);
}
